ECHMQV< EC, COFACTOR_OPTION, HASH > Struct Template Reference

Hashed Menezes-Qu-Vanstone in ECP or EC2N. More...

## Public Types

typedef HMQV_Domain< DL_GroupParameters_EC< EC >, COFACTOR_OPTION, HASH > | Domain

## Detailed Description

### template<class EC, class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption, class HASH = SHA256>
struct ECHMQV< EC, COFACTOR_OPTION, HASH >

Hashed Menezes-Qu-Vanstone in ECP or EC2N.

This implementation follows Hugo Krawczyk's HMQV: A High-Performance Secure Diffie-Hellman Protocol. Note: this implements HMQV only. HMQV-C with Key Confirmation is not provided.

Definition at line 222 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h